function ind=dde_coll_subinterval(msh,t)
%% return ind s.t. msh(ind(i))<=t(i)<msh(ind(i)+1)
% convention ind(i)=0 if t<msh(1), ind(i)=length(msh)+1 if t>msh(end)
% and if t(i)=msh(end) then ind(i)=length(msh)
%
% msh is assumed to be sorted, t may be not (but will be sorted and
% reverse sorted inside if not)
%
% consecutive entries in msh are assumed to be different
%
% (c) DDE-BIFTOOL v. 3.2a(298), 25/09/2018
%%
nt=length(t);
nm=length(msh);
irev=1:nt;
if ~issorted(t)
    [t,irev]=sort(t);
end
ind=zeros(size(t));
jt=1;
jm=1;
while jt<=nt && jm<=nm
    if t(jt)<msh(jm)
        ind(jt)=jm-1;
        jt=jt+1;
    else
        jm=jm+1;
    end
end
while jt<=nt && t(jt)==msh(nm)
    ind(jt)=nm;
    jt=jt+1;
end
ind(jt:end)=nm+1;
ind(irev)=ind;
end
